Skip to main content
GET
/
v1
/
issuing
/
transfers
/
{id}
Retrieve Issuing Transfer
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/transfers/{id} \
  --header 'x-auth-token: <api-key>'
{
  "transfer_id": "5135e6cc-28b6-4889-81dc-3b86a09e1395",
  "reference_id": "T250624-K0XMYZRF",
  "source_account_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
  "destination_account_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
  "amount": 1000,
  "fee_amount": 0.25,
  "currency": "SGD",
  "transfer_status": "completed",
  "create_time": "2024-03-21T17:17:32+08:00",
  "complete_time": "2024-03-21T17:17:32+08:00",
  "creator_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
  "remark": "Transfer to Jack."
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string
required

Unique identifier for the transfer.

Example:

"c0cef051-29c5-4796-b86a-cd5b684bfad7"

Response

Retrieve a transfer successfully.

transfer_id
string<uuid>
required

Unique identifier for transfer.

Example:

"5135e6cc-28b6-4889-81dc-3b86a09e1395"

reference_id
string<uuid>
required

Short reference id for the transfer.

Example:

"T250624-K0XMYZRF"

source_account_id
string<uuid>
required

The account id that initiated the transfer.

Example:

"7c4ff2cd-1bf6-4aaa-bf16-266771425011"

destination_account_id
string<uuid>
required

The account id that received the transfer.

Example:

"7c4ff2cd-1bf6-4aaa-bf16-266771425011"

amount
number
required

Transfer amount.

Example:

1000

fee_amount
number
required

Transaction fee amount.

Example:

0.25

currency
string
required

Transfer currency.

Example:

"SGD"

transfer_status
string
required

The current status of the transfer. Valid values are:

Example:

"completed"

create_time
string
required

Transfer create time.

Example:

"2024-03-21T17:17:32+08:00"

complete_time
string
required

Transfer complete time.

Example:

"2024-03-21T17:17:32+08:00"

creator_id
string<uuid>
required

The account id that create the transfer.

Example:

"7c4ff2cd-1bf6-4aaa-bf16-266771425011"

remark
string
required

The remark of the transfer.

Example:

"Transfer to Jack."